Межсайтовый скриптинг в Baby Gekko

Дата публикации:
19.11.2012
Дата изменения:
19.11.2012
Всего просмотров:
659
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
2
CVSSv2 рейтинг:
(AV:N/AC:M/Au:N/C:N/I:P/A:N/E:U/RL:O/RC:C) = Base:4.3/Temporal:3.2
(AV:N/AC:M/Au:N/C:N/I:P/A:N/E:U/RL:O/RC:C) = Base:4.3/Temporal:3.2
CVE ID:
CVE-2012-5700
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Baby Gekko 1.x
Уязвимые версии: Baby Gekko 1.2.2e, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметрах "username" и "password" в сценарии index.php в blocks/loginbox/loginbox.template.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

Примечание: Для успешной эксплуатации уязвимости необходимо, чтобы loginbox block был включен.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "id" в сценарии admin/index.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: http://www.babygekko.com/site/

Решение: Установите последнюю версию 1.2.2f или 1.2.4 с сайта производителя.

Ссылки: https://www.htbridge.com/advisory/HTB23122

или введите имя

CAPTCHA